Announcement

Collapse
No announcement yet.

Login fails when running the upgrade script

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • boatdesign
    replied
    I updated PHP to 4.2.2 on the test server and now the upgrade script is letting me in just fine and I'm updating my test install now

    Leave a comment:


  • StephenStrong
    replied
    Originally posted by theXME
    I updated my PHP Version to the latest available. This step was successfull, i upgrated my vB 2.2.9 now to the vB 3 Beta 3 - without any problems
    I think PHP is my problem too, I have version 4.0.6 installed. I tried to upgrade to version 4.3.2 ... with no avail, I kept getting error messages on my server ... If you could like like post or e-mail me [email protected] directions that would be very much appreciated!

    Leave a comment:


  • theXME
    replied
    I updated my PHP Version to the latest available. This step was successfull, i upgrated my vB 2.2.9 now to the vB 3 Beta 3 - without any problems

    Leave a comment:


  • StephenStrong
    replied
    Originally posted by Kaffeerappel
    Though I too attempted to change the code due to my version of PHP, I am getting a weird message when I try to access the init.php file ...

    Fatal error: Failed opening required './includes/config.php' (include_path='.:/php/includes:/usr/share/php') in /home/virtual/site13/fst/var/www/html/talk/includes/init.php on line 400

    I looked at the code for init.php and I don't clue why I am getting the above error message

    Leave a comment:


  • boatdesign
    replied
    That doesn't work for me either.

    Leave a comment:


  • Dark_Wizard
    replied
    Originally posted by Ed Sullivan
    There really isn't an "easy" solution for this -- there are so many possible variables here that it's hard to troubleshoot. Plus none of us have had problems as far as I know (if we did, they'd already be fixed).

    I suppose the closest thing to an easy solution would be to password protect the admincp dir through the webserver (ie, like .htaccess) and then disable the password checking ($checkpwd variable in global.php; set it to 0). Just make sure you're absolutely sure it's pwd protected first -- beyond that, you won't have to login to access the CP!
    Ed..this does not work > $checkpwd = 0; You may want to move this to bugs...

    Leave a comment:


  • boatdesign
    replied
    OK, tried it again.

    First I created a new MySQL user, password, and database. I then ran /install/install.php and created a new blank 3.0 beta forum and was able to create an admin user and then login to the admin cp fine. Deleted files and mysql user, pass, and database.

    Next, I downloaded live sql database dump from live server to test server. Created new sql user, password, and database and imported the mysql dump.

    Installed vb 2.3.0 on test server. All went well and I can login to the test server admincp fine with the admin username and password.

    Then deleted 2.3.0 files, uploaded the 3.0 beta files. Config file has same mysql user/pass/database as 2.3.0 config file. Tried to run /install/upgrade.php and I still can't get past the very first step to login of upgrade1.php.

    I also tried the change mentioned above http://www.vbulletin.com/forum/showt...threadid=73915 but I still cannot login to begin the upgrade process.

    Leave a comment:


  • boatdesign
    replied
    Originally posted by Steve Machol
    Are you sure you are pointing to the correct database in config.php?
    Yes - same mysql username, password, and database name as works with vbulletin 2.3.0...

    Leave a comment:


  • Kaffeerappel
    replied
    This worked for me:

    http://www.vbulletin.com/forum/showt...threadid=73915

    Leave a comment:


  • Kaffeerappel
    replied
    Originally posted by Steve Machol
    Are you sure you are pointing to the correct database in config.php?
    Got the same problems, and I'm absolutely sure the config.php is setup correctly.

    When trying to upgrade, I can't login. When trying a fresh install, step 3 kicks me bacl to step 1 without any error messages.

    Leave a comment:


  • Steve Machol
    replied
    Are you sure you are pointing to the correct database in config.php?

    Leave a comment:


  • boatdesign
    replied
    And if I try to run the "fix login" script I get the following error:

    <!--Database error in vBulletin :Invalid SQL: ### QUERY SPECIAL TEMPLATES ### SELECT title, data FROM datastore WHERE title IN ('options', 'cron', 'forumcache', 'usergroupcache') mysql error: Table 'vb.datastore' doesn't existmysql error number: 1146Date: Saturday 14th of June 2003 04:06:30 PMScript: http://Referer: IP Address: -->

    I presume this is simply because I haven't yet run the install/upgrade.php script since that won't let me login to run it ?

    I've already tried clearing my cookies and using both IE and mozilla... just keeps asking for the username and password over and over without any errors but will not run get past this first step of the upgrade script.

    What should I try next?

    Leave a comment:


  • boatdesign
    replied
    Set checkpwd to 0 on my test board, and I still can't login to run http://192.168.0.70/vbtest/install/upgrade.php - it just redirects to http://192.168.0.70/vbtest/install/upgrade1.php again and again. username and password work fine if I simply upload the 2.3.0 files in place of the 3.0 beta files.

    Leave a comment:


  • theXME
    replied
    I get the following errors:
    -safe mode
    -XML
    both failed.. hmmm...

    Leave a comment:


  • StephenStrong
    replied
    Originally posted by Ogmuk
    Same problem here with my test board and other folks with the same problem:
    http://www.vbulletin.com/forum/showt...threadid=73544
    Thanks for the info!

    Leave a comment:

Related Topics

Collapse

Working...
X